package cn.superdesk.uniorder.dubbo.consumer.sys;

import cn.superdesk.uniorder.dao.entity.sys.SysOderUser;
import cn.superdesk.uniorder.dubbo.facade.sys.DubboSysOderUserService;
import com.alibaba.dubbo.config.annotation.Reference;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;


@Deprecated
@Slf4j
@Component
public class SysOderUserDubboConsumerService {


	@Reference(version = "1.0.0", timeout = 30000, retries = -1)
	private DubboSysOderUserService dubboSysOderUserService;


	public void add(SysOderUser t) {
		dubboSysOderUserService.addObj(t);
	}

	public void update(SysOderUser t) {
		dubboSysOderUserService.updateObj(t);
	}

	public List<SysOderUser> findByUserId(Long userId) {
		return dubboSysOderUserService.findByUserId(userId);
	}

	public List<SysOderUser> findByName(Long orgId, Long entId, String name) {
		return dubboSysOderUserService.findByName(orgId, entId, name);
	}

	public List<SysOderUser> findAll(Map<String, Object> params) {

		return dubboSysOderUserService.findAll(params);
	}
}
